TXTRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class TXTRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.TXTRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class TXTRecord
      extends Record

  Text - stores text strings
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List` | `strings`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TXTRecord(Name name, int dclass, long ttl, List strings)` Creates a TXT Record from the given data
    `TXTRecord(Name name, int dclass, long ttl, String string)` Creates a TXT Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getStrings()` Returns the text strings
    `List` | `getStringsAsByteArrays()` Returns the text strings

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### strings

          protected List strings

  - ### Constructor Detail

    - #### TXTRecord

          public TXTRecord(Name name,
                   int dclass,
                   long ttl,
                   List strings)

      Creates a TXT Record from the given data
      Parameters:
        `strings` - The text strings
      Throws:
        `IllegalArgumentException` - One of the strings has invalid escapes

    - #### TXTRecord

          public TXTRecord(Name name,
                   int dclass,
                   long ttl,
                   String string)

      Creates a TXT Record from the given data
      Parameters:
        `string` - One text string
      Throws:
        `IllegalArgumentException` - The string has invalid escapes

  - ### Method Detail

    - #### getStrings

          public List getStrings()

      Returns the text strings
      Returns:
        A list of Strings corresponding to the text strings.

    - #### getStringsAsByteArrays

          public List getStringsAsByteArrays()

      Returns the text strings
      Returns:
        A list of byte arrays corresponding to the text strings.